def calculate_score(input_str):
    set_score_a = 0
    set_score_b = 0
    current_score_a = 0
    current_score_b = 0
    in_tiebreak = False

    for point in input_str:
        if point == 'A':
            current_score_a += 1
        elif point == 'B':
            current_score_b += 1

        if not in_tiebreak and (
                (current_score_a >= 25 and current_score_a - current_score_b >= 2) or
                (current_score_b >= 25 and current_score_b - current_score_a >= 2)
        ):
            set_score_a += 1
            current_score_a = 0
            current_score_b = 0

        elif in_tiebreak and (
                (current_score_a >= 15 and current_score_a - current_score_b >= 2) or
                (current_score_b >= 15 and current_score_b - current_score_a >= 2)
        ):
            set_score_a += 1
            current_score_a = 0
            current_score_b = 0
            in_tiebreak = False

        elif current_score_a == 25 and current_score_b == 24:
            in_tiebreak = True

        elif current_score_a == 24 and current_score_b == 25:
            in_tiebreak = True

    if set_score_a < 3 and set_score_b < 3:
        print(f"{set_score_a}:{set_score_b}")
        print(f"{current_score_a}:{current_score_b}")

    else:
        print(f"{set_score_a}:{set_score_b}")