def find_building_relation(start, target):
    # Check if buildings are on the same or different sides
    start_side = "left" if start % 2 == 1 else "right"
    target_side = "left" if target % 2 == 1 else "right"

    # Check if buildings are in the same or different blocks
    start_block = start // 100
    target_block = target // 100

    if start_block == target_block:
        if start == target:
            return "ista zgrada"
        elif abs(start - target) == 1:
            return "preko puta"
        elif start_side == target_side:
            return "isti blok"
        else:
            return "isti blok preko puta"
    elif start_block + 1 == target_block:
        if start_side == target_side:
            return "sledeci blok"
        else:
            return "sledeci blok preko puta"
    elif start_block - 1 == target_block:
        if start_side == target_side:
            return "prethodni blok"
        else:
            return "prethodni blok preko puta"
    else:
        return "daleko"

# Unesite podatke
start_building = int(input())
target_building = int(input())

# Poziv funkcije za odredivanje odnosa izmedu zgrada
relation = find_building_relation(start_building, target_building)

# Ispis rezultata
print(relation)