def rotate_sequence(seq, rotations):
  rotations = rotations % len(seq)
  return seq[rotations:] + seq[:rotations]

def generate_sequences(n):
  full_sequence = list(range(1, 2*n + 1))

  sequences = []
  for i in range(2*n):
      odd_part = rotate_sequence(full_sequence[:n], i)
      even_part = rotate_sequence(full_sequence[n:], 0)
      sequence = odd_part + even_part
      sequences.append(sequence)

  return sequences

n_value = int(input())
result_sequences = generate_sequences(n_value)

for sequence in result_sequences:
  print(sequence)