def calculate_sets_score(points):
    team_a_score = 0
    team_b_score = 0
    sets = 0

    for point in points:
        if point == 'A':
            team_a_score += 1
        elif point == 'B':
            team_b_score += 1

        if (team_a_score >= 25 and team_a_score - team_b_score >= 2) or \
           (team_b_score >= 25 and team_b_score - team_a_score >= 2):
            sets += 1
            team_a_score = 0
            team_b_score = 0

    return sets, team_a_score, team_b_score

points = input().strip()


sets_score, team_a_set_score, team_b_set_score = calculate_sets_score(points)

# Ispis rezultata
print(f"{sets_score}:{sets_score + 1}" if sets_score == 2 else f"{sets_score}:{team_a_set_score}:{team_b_set_score}")