def inches_to_centimeters(inches):
    return inches * 2.54

def feet_to_centimeters(feet):
    return feet * 12 * 2.54

def yards_to_centimeters(yards):
    return yards * 3 * 12 * 2.54

def calculate_longest_hit(yard, feet, inch):
    total_inches = yards_to_centimeters(yard) + feet_to_centimeters(feet) + inches_to_centimeters(inch)
    total_centimeters = round(total_inches, 0)
    
    meters = int(total_centimeters // 100)
    remaining_centimeters = int(total_centimeters % 100)
    
    return meters, remaining_centimeters

# ???? ?????? ??? ????
hit1 = list(map(int, input().split()))
hit2 = list(map(int, input().split()))
hit3 = list(map(int, input().split()))

# ???????? ???????? ?????
result1 = calculate_longest_hit(*hit1)
result2 = calculate_longest_hit(*hit2)
result3 = calculate_longest_hit(*hit3)

print(result1[0] + result1[1] // 100, result1[1] % 100)
print(result2[0] + result2[1] // 100, result2[1] % 100)
print(result3[0] + result3[1] // 100, result3[1] % 100)