from itertools import permutations
def generisi_nizove(n):
    nizovi = []
    polovina = list(range(1, n+1))
    for perm_neparne in permutations(polovina, n):
        for perm_parne in permutations(polovina, n):
            niz = list(perm_neparne) + list(perm_parne)
            rotacija = niz.index(1)
            niz = niz[rotacija:] + niz[:rotacija]
            if all(niz[i] != niz[i+1] for i in range(0, 2*n-1, 2)) and all(niz[i] != niz[i+1] for i in range(1, 2*n-2, 2)):
                nizovi.append(niz)
    return nizovi
n = int(input("Unesite broj n: "))
nizovi = generisi_nizove(n)
for niz in sorted(nizovi):
    print(' '.join(map(str, niz)))