#include <iostream>
#include <string>

using namespace std;

pair<int, int> determineSetResult(const string& points) {
    int score_a = 0;
    int score_b = 0;
    for (char point : points) {
        if (point == 'A') {
            score_a++;
        } else if (point == 'B') {
            score_b++;
        }

        if ((score_a >= 25 || score_b >= 25) && abs(score_a - score_b) >= 2) {
            return make_pair(score_a, score_b);
        }
    }
    return make_pair(score_a, score_b);
}

int main() {
    string points;
    cin >> points;

    int set_a = 0;
    int set_b = 0;
    string current_points;

    for (char point : points) {
        current_points += point;

        if (point == 'A') {
            if (set_a < 2 && set_b < 2) {
                auto [score_a, score_b] = determineSetResult(current_points);
                if (score_a == 25) {
                    set_a++;
                    current_points = "";
                } else if (score_b == 25) {
                    set_b++;
                    current_points = "";
                }
            } else if (set_a == 2 && set_b == 2) {
                auto [score_a, score_b] = determineSetResult(current_points);
                if (score_a == 15 || score_b == 15) {
                    break;
                }
            }
        } else if (point == 'B') {
            if (set_a < 2 && set_b < 2) {
                auto [score_a, score_b] = determineSetResult(current_points);
                if (score_a == 25) {
                    set_a++;
                    current_points = "";
                } else if (score_b == 25) {
                    set_b++;
                    current_points = "";
                }
            } else if (set_a == 2 && set_b == 2) {
                auto [score_a, score_b] = determineSetResult(current_points);
                if (score_a == 15 || score_b == 15) {
                    break;
                }
            }
        }
    }

    if (set_a == 3) {
        cout << "3:0" << endl;
    } else if (set_b == 3) {
        cout << "0:3" << endl;
    } else {
        cout << set_a << ":" << set_b << endl;
    }

    return 0;
}