#include <iostream>
#include <set>
#include <algorithm>

int main() {
  
    int n;
    std::cin >> n;

    
    int broj_reci = 0;

    
    int broj_slova = 0;

   
    std::set<char> osnovni_red_slova{'a', 's', 'd', 'f', 'g', 'h', 'j', 'k', 'l'};

    
    for (int i = 0; i < n; ++i) {
        std::string rec;
        std::cin >> rec;

       
        std::transform(rec.begin(), rec.end(), rec.begin(), ::tolower);

     
        if (std::all_of(rec.begin(), rec.end(), [&osnovni_red_slova](char c) { return osnovni_red_slova.count(c) > 0; })) {
            broj_reci++;
            broj_slova += rec.length();
        }
    }

    std::cout << broj_reci << " " << broj_slova << std::endl;

    return 0;
}