#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

void rotate(vector<int>& arr, int rotations) {
    reverse(arr.begin(), arr.begin() + rotations);
    reverse(arr.begin() + rotations, arr.end());
    reverse(arr.begin(), arr.end());
}

void generateArrays(int n) {
    vector<int> oddPart, evenPart;
    for (int i = 1; i <= 2 * n; i += 2) {
        oddPart.push_back(i);
        evenPart.push_back(i + 1);
    }

    do {
        do {
            vector<int> result;
            result.insert(result.end(), oddPart.begin(), oddPart.end());
            result.insert(result.end(), evenPart.begin(), evenPart.end());

            for (int num : result) {
                cout << num << " ";
            }
            cout << endl;

        } while (next_permutation(evenPart.begin(), evenPart.end()));

        rotate(oddPart, 2);
    } while (next_permutation(oddPart.begin(), oddPart.end()));
}

int main() {
    int n;
    cin >> n;

    generateArrays(n);

    return 0;
}