#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

void rotiraj(vector<int>& niz, int k) {
    rotate(niz.begin(), niz.begin() + k, niz.end());
}

int main() {
    int n;
    cin >> n;

    vector<int> niz(2 * n);

    for (int i = 0; i < 2 * n; i++) {
        niz[i] = i + 1;
    }

    do {
        vector<int> neparan(niz.begin(), niz.begin() + n);
        vector<int> paran(niz.begin() + n, niz.end());

        
        bool tacno = true;
        for (int i = 0; i < n; i++) {
            if (neparan[i] % 2 == 0 || paran[i] % 2 == 1) {
                tacno = false;
                break;
            }
        }

        if (tacno) {
          
            for (int i = 0; i < 2 * n; i++) {
                cout << niz[i] << " ";
            }
            cout<<endl;
        }

    } while (next_permutation(niz.begin(), niz.end()));

    return 0;
}