def rotate_array(arr, shift):
    return arr[shift:] + arr[:shift]

def generate_arrays(n):
    all_numbers = list(range(1, 2 * n + 1))
    results = []

    for i in range(n + 1):
        odd_part = rotate_array(all_numbers[:n], i)
        even_part = rotate_array(all_numbers[n:], 0)
        result = odd_part + even_part
        results.append(result)

    return results

def print_arrays(arrays):
    for array in arrays:
        print(' '.join(map(str, array)))

# Ucitavanje vrednosti n
n = int(input())

# Generisanje i ispisivanje nizova
results = generate_arrays(n)
print_arrays(results)